import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
/**
 * Represents an if block.
 */
export interface IfBlock {
    name: string;
    code: string;
    condition: string | null;
}
export default class Statement extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: ParamType;
    compile: boolean;
    aliases: string[];
    run(d: Data, [code]: string[]): Promise<unknown>;
}
