Object.defineProperty(exports,"__esModule",{value:!0}),exports.Interpreter=void 0;let tslib_1=require("tslib"),Compiler_1=require("./Compiler"),main_1=require("../main"),colors_1=tslib_1.__importDefault(require("colors")),ms_1=tslib_1.__importDefault(require("ms"));function isStringToken(e){return e.type&&"TEXT"===e.type}function removeComments(e){return e.split("\n").map(e=>e.split("//")[0]).join("\n")}class Interpreter{async run(e,r){r.comments=r.comments??!1,r.reverse=r.reverse??!1,!0===r.comments&&(e=removeComments(e)),r.data.setStart(performance.now());let a=(new Compiler_1.Compiler).remap(e,r.data.server.rs,!0);var t,e=r.reverse,n=[];for(t of a=e?a.reverse():a){if(r.data.break)break;if(isStringToken(t))n.push(t.value);else{if(!r.data.functions.has(t.name.toLowerCase()))throw new main_1.EATS_Error(`"${t.name}" is not a function.`);var i=r.data.functions.get(t.name.toLowerCase()),o=[],s=i.parameters?.length??0,m=0<s?i.parameters.filter(e=>!0===e.required):[];if(0<s&&m.length>t.fields.length)throw new main_1.EATS_Error([`Function "${t.name}" is not receiving enough parameters!`,`> "${t.name}" expects ${m.length} parameter${1<m.length?"s":""} at least.`].join("\n"));if(!0===r.debug&&console.log(`${colors_1.default.green((new Date).toLocaleString())} | ${colors_1.default.yellow("Parsing")}: `+colors_1.default.bold(i.name)),0<s&&!0===i.compile)for(let e=0;e<t.fields.length;e++){var u=t.fields[e],p=i.parameters[e];if(p?.rest&&e!==i.parameters.length-1)throw new main_1.EATS_Error("A rest parameter must be the last parameter for a function!");var l,u=await this.run(u,r);if(r.data.break=u.break,o.push("string"!=typeof u.code?"":u.code),void 0!==p&&void 0!==p.allowedValues&&!p.allowedValues.includes(o.at(-1)))throw new main_1.EATS_Error(`Invalid value "${o.at(-1)}" provided at field ${e+1} in "${i.name}"; must be one of the following values: 
- `+p.allowedValues.join("\n- "));if(e===s&&p?.rest)for(l of t.fields.slice(e+1)){var d=await this.run(l,r);r.data.break=d.break,o.push("string"!=typeof d.code?"":d.code)}}else 0<s&&!1===i.compile&&o.push(...t.fields.map(e=>(0,main_1.Unescape)(e)));r.data.function={name:t.name,inside:o.join(";"),fields:o},m=await i.run(r.data,o),n.push(void 0===m?"":"string"==typeof m?(0,main_1.Unescape)(m):m)}}return r.data.code=(e?n.reverse():n).join(""),r.data}#handleOutput(e,r){if(e=main_1.Util.parse(e),r.returns===main_1.ParamType.String&&"string"!=typeof e)throw new main_1.EATS_Error(`Function "${r.name}" expects an string as output but got: `+typeof e);if(r.returns===main_1.ParamType.Number&&"number"!=typeof e)throw new main_1.EATS_Error(`Function "${r.name}" expects a number as output but got: `+typeof e);if(r.returns===main_1.ParamType.Boolean&&"boolean"!=typeof e)throw new main_1.EATS_Error(`Function "${r.name}" expects a boolean as output but got: `+typeof e);if(r.returns===main_1.ParamType.Time&&"number"!=typeof e)throw new main_1.EATS_Error(`Function "${r.name}" expects a time as output but got: `+typeof e);if(r.returns===main_1.ParamType.BigInt&&"bigint"!=typeof e)throw new main_1.EATS_Error(`Function "${r.name}" expects a bigint as output but got: `+typeof e);if(r.returns===main_1.ParamType.JSON&&"object"!=typeof e)throw new main_1.EATS_Error(`Function "${r.name}" expects a JSON as output but got: `+typeof e);return!0}#parse(e,r,a,...t){return e===main_1.ParamType.BigInt?this.#parseBigInt(r,a):e===main_1.ParamType.Boolean?this.#parseBoolean(r,a):e===main_1.ParamType.Date?this.#parseDate(a,r):e===main_1.ParamType.JSON?this.#parseJSON(r,a):e===main_1.ParamType.List?this.#parseList(r,t[0],a):e===main_1.ParamType.Number?this.#parseNumber(r,a):e===main_1.ParamType.Time?this.#parseTime(r,a):r}#parseBoolean(e,r){var a=["true","yes","1","!0","!false"];if(a.includes(e)||["false","no","0","!1","!true"].includes(e))return a.includes(e);throw new main_1.EATS_Error([`Invalid boolean "${e}" provided at: "${r.name}"`,"> Parameter must be a valid boolean type."].join("\n"))}#parseBigInt(e,r){if(!e.endsWith("n"))throw new main_1.EATS_Error([`Invalid bigint "${e}" provided at: "${r.name}"`,"> Parameter must be a valid big integer type."].join("\n"));var a=e.slice(0,-1);if(!1===/^[0-9]*$/.test(a))throw new main_1.EATS_Error([`Invalid bigint "${e}" provided at: "${r.name}"`,"> Parameter must be a valid big integer type."].join("\n"));return BigInt(a)}#parseDate(e,r){if(r){var a=new Date(r);if("Invalid Date"===a.toString())throw new main_1.EATS_Error([`Invalid date "${r}" provided at: "${e.name}"`,"> Parameter must be a valid date type."].join("\n"));return a}return new Date}#parseJSON(e,r){if(!e.startsWith("{")||!e.endsWith("}"))throw new main_1.EATS_Error([`Invalid JSON "${e.slice(0,6)}..." provided at: "${r.name}"`,"> Parameter must be a valid JSON structure."].join("\n"));try{return JSON.parse(e)}catch{throw new main_1.EATS_Error([`Invalid JSON "${e.slice(0,6)}..." provided at: "${r.name}"`,"> Parameter must be a valid JSON structure."].join("\n"))}}#parseList(e,r,a){return e.split(r)}#parseNumber(e,r){var a=Number(e);if(isNaN(a))throw new main_1.EATS_Error([`Invalid number "${e}" provided at: "${r.name}"`,"> Parameter must be a valid number type."].join("\n"));return a}#parseTime(e,r){var a=(0,ms_1.default)(e);if(isNaN(a))throw new main_1.EATS_Error([`Invalid time "${e}" provided at: "${r.name}"`,"> Parameter must be a valid number or parseable time string."].join("\n"));return a}}exports.Interpreter=Interpreter;